//------------------------------------------------------------------
// Copyright (c) 2004-2009 PlayFirst, Inc. All rights reserved.
//
// This material is the confidential trade secret and proprietary
// information of PlayFirst, Inc. It may not be reproduced, used, disclosed,
// sold or transferred without the prior written consent of PlayFirst, Inc.
// Any use is subject to license by PlayFirst, Inc.
//------------------------------------------------------------------


/**
 * @file
 * Interface for class TLoading
 */


#ifndef LOADING_H_INCLUDED
#define LOADING_H_INCLUDED

#include "pf/window.h"

class TLoading : public TWindow
{
	PFTYPEDEF_DC(TLoading,TWindow);
public:
	/**
	 * Handle any initialization or setup that is required when
	 * this window is assigned to a new parent. No initialization
	 * of the window has happened prior to this call.
	 *
	 * @return True on success; false on failure.
	 *
	 * @see Init
	 * @see PostChildrenInit
	 */
	virtual bool OnNewParent();
/// Default Constructor
	TLoading();

/// Destructor
	virtual ~TLoading();

	/**
	 * Initialize the Window. Called by the system only in
	 * Lua initialization.
	 *
	 * When you create your own custom window, this is where you put
	 * your own custom initialization that needs to happen before
	 * children are created. Fundamental window initialization is
	 * handled in every class by this function, so <b>when you
	 * override this function you almost always want to call your
	 * base class to handle base class initialization.</b>
	 *
	 * @param style  The Lua style that was in effect when this window was
	 *               created. This style contains all parameters specified
	 *               explicitly for the window as well as parameters defined
	 *               in the current style. Parameters set locally override
	 *               ones in the style.
	 */
	virtual void Init(TWindowStyle & style);
	/**
	 * Called if you have initiated a window animation with
	 * TWindow::StartWindowAnimation.
	 *
	 * @return True to continue animating. False to stop.
	 */
	virtual bool OnTaskAnimate();
	void Done();
	/**
	 * Draw the window. Derived classes will override this
	 * function and provide the draw functionality.
	 */
	virtual void Draw();

	TReal CheckLoaded();
	str		mNextWindow ;
	TRect	mLoadingBarRect;

	bool	mDone;
};

#endif // LOADING_H_INCLUDED
